Bug 61285 - When I Cannot increase user quotas above 4.1GB
When I Cannot increase user quotas above 4.1GB
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-15 19:27 EST by Eve Kovacs
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-15 19:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eve Kovacs 2002-03-15 19:27:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
Using edquota, I cannot increase the user quotas above about 4.15GB. If I input
a larger number, when I exit the file, I find the number has wrapped and I have
a 
]quota that is equal to (my input) mod 4.1GB. This bug may persist to RH 7.x. I
haven't 
tested it yet. However it's a big problem for those of us who need large disk
quotas.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.As root, choose emacs editor (xport EDITOR=emacs)
2.Run edquota for a user and enter a number bigger than about 4.15 GB...try 5GB.
3.Exit editor and check the quota for the user. It will be wrong.
	

Actual Results:  Got wrong quota..not what I entered.

Expected Results:  Should have received correct quota as entered.

Additional info:
Comment 1 Phil Copeland 2002-08-07 15:08:15 EDT
Ok lets see.

This bug was opened a few months back (oops)
are you still using RH6.2?

Umm actually I've been beating up on quota on the current RH beta (limbo) and
the RH7.x series using the rawhide quota-3.06-x package

I don't have a 6.2 system kicking around to try this on. I recomment you grab an
errata kernel for your current RH install base and try recompiling the latest
quota SRPM found in ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS
(rpmbuild --rebuild quota-3.06* ; rpm -Uvh /usr/src/redhat/RPMS/i386/quota* )



(My tests using the current RH beta (limbo): using LVM)

[root@dhcp59-202 compile]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/Volume00/LogVol00
                       8256952   4718928   3118596  61% /
/dev/md0                126803     17937    102319  15% /boot
/dev/Volume00/LogVol02
                       8256952   3729776   4526776  46% /compile
none                    256948         0    256948   0% /dev/shm
/dev/Volume00/LogVol01
                        507748      9926    471608   3% /tmp
/dev/Volume00/LogVol03
                       1032088    403572    576088  42% /var
[root@dhcp59-202 compile]# useradd -m test -d /compile/test
[root@dhcp59-202 compile]# edquota test
[root@dhcp59-202 compile]# quota test
Disk quotas for user test (uid 500): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
/dev/Volume00/LogVol02
                     48  4107700 4200000              11       0       0        
[root@dhcp59-202 compile]# su - test
[test@dhcp59-202 test]$ cat /dev/zero > test
lvm(58,1): warning, user block quota exceeded.
lvm(58,1): write failed, user block limit reached.
cat: write error: Disk quota exceeded
[test@dhcp59-202 test]$ quota 
Disk quotas for user test (uid 500): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
/dev/Volume00/LogVol02
                4200000* 4107700 4200000              12       0       0        
[test@dhcp59-202 test]$ 


(where 4Gb = 4194304)


Ok, Lets up that a bit... to 5Gb

[root@dhcp59-202 root]# umount /compile
[root@dhcp59-202 root]# lvextend  -L 10240 /dev/Volume00/LogVol02
lvextend -- rounding  size up to physical extent boundary
lvextend -- extending logical volume "/dev/Volume00/LogVol02" to 10.0 GB
lvextend -- doing automatic backup of volume group "Volume00"
lvextend -- logical volume "/dev/Volume00/LogVol02" successfully extended

[root@dhcp59-202 root]# resize2fs /dev/Volume00/LogVol02
resize2fs 1.27 (8-Mar-2002)
The Filesystem on /dev/Volume00/LogVol02 is now 2621440 blocks long
[root@dhcp59-202 root]# mount /compile
[root@dhcp59-202 root]# quota test
Disk quotas for user test (uid 500): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
/dev/Volume00/LogVol02
                     52  5242880 5242880              12       0       0        
[root@dhcp59-202 root]# su - test
[test@dhcp59-202 test]$ cat /dev/zero >> test
lvm(58,1): write failed, user block limit reached.
cat: write error: Disk quota exceeded
[test@dhcp59-202 test]$ quota 
Disk quotas for user test (uid 500): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
/dev/Volume00/LogVol02
                5242880* 5242880 5242880              13       0       0        
[test@dhcp59-202 test]$ ls -l 
total 5242828
-rw-rw-r--    1 test     test     5363404800 Aug  7 15:04 test

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.